classification
Title: PEP 604 -- Allow writing union types as X | Y
Type: behavior Stage: resolved
Components: Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gvanrossum, kj, maggiemoss, pablogsal, vstinner, xtreak
Priority: normal Keywords: patch

Created on 2020-07-28 22:32 by maggiemoss, last changed 2020-10-05 04:41 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21515 merged maggiemoss, 2020-07-28 22:32
PR 22388 merged vstinner, 2020-09-23 15:52
PR 22416 merged vstinner, 2020-09-26 10:23
PR 22517 merged kj, 2020-10-03 10:29
Messages (7)
msg374535 - (view) Author: Maggie Moss (maggiemoss) * Date: 2020-07-28 22:32
https://www.python.org/dev/peps/pep-0604/
msg376660 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-09-09 20:23
New changeset 1b4552c5e8e925f24c15f707050f22c977171125 by Maggie Moss in branch 'master':
bpo-41428: Implementation for PEP 604 (GH-21515)
https://github.com/python/cpython/commit/1b4552c5e8e925f24c15f707050f22c977171125
msg376661 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-09-09 20:24
Now that PR 21515 is landed, we should consider what sections of the docs/spec needs to be updated.
msg377425 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-23 21:25
New changeset d67de0a30d76c6a28056bae22fd7d13f2e111b77 by Victor Stinner in branch 'master':
bpo-41428: Fix compiler warnings in unionobject.c (GH-22388)
https://github.com/python/cpython/commit/d67de0a30d76c6a28056bae22fd7d13f2e111b77
msg377522 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-26 10:49
New changeset d73cf7ca85fb60b739e671597aabe72cc36d397a by Victor Stinner in branch 'master':
bpo-41428: Fix compiler warning in unionobject.c (GH-22416)
https://github.com/python/cpython/commit/d73cf7ca85fb60b739e671597aabe72cc36d397a
msg377524 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-26 10:57
> Now that PR 21515 is landed, we should consider what sections of the docs/spec needs to be updated.

Any update on the documentation?
msg377993 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-05 04:40
New changeset 8e1dd55e63d18d40e78d941fc9233d2c77bcd3de by Fidget-Spinner in branch 'master':
bpo-41428: Documentation for PEP 604  (gh-22517)
https://github.com/python/cpython/commit/8e1dd55e63d18d40e78d941fc9233d2c77bcd3de
History
Date User Action Args
2020-10-05 04:41:51gvanrossumsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-05 04:40:55gvanrossumsetnosy: + gvanrossum
messages: + msg377993
2020-10-03 10:29:27kjsetnosy: + kj
pull_requests: + pull_request21526
2020-09-26 10:57:08vstinnersetmessages: + msg377524
2020-09-26 10:49:11vstinnersetmessages: + msg377522
2020-09-26 10:23:00vstinnersetpull_requests: + pull_request21453
2020-09-23 21:25:57vstinnersetmessages: + msg377425
2020-09-23 15:52:29vstinnersetkeywords: + patch
nosy: + vstinner

pull_requests: + pull_request21430
stage: patch review
2020-09-09 20:24:35pablogsalsetmessages: + msg376661
2020-09-09 20:23:33pablogsalsetnosy: + pablogsal
messages: + msg376660
2020-07-29 03:09:39xtreaksetnosy: + xtreak
2020-07-28 22:32:30maggiemosscreate